%global pypi_name python-messaging
%global _pypackage_name messaging

Name:           python-%{pypi_name}
Version:        0.5.13
Release:        1%{?dist}
Summary:        SMS and MMS message encoder/decoder

License:        GNU GPL v2
URL:            https://pypi.org/project/python-messaging
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
SMS and MMS message encoder/decoder

%package -n python3-%{pypi_name}
Summary:        SMS and MMS message encoder/decoder
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with sphinx_docs}
BuildRequires:  python3-sphinx >= 0.8
%endif
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
SMS and MMS message encoder/decoder

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{_pypackage_name}
%{python3_sitelib}/python_%{_pypackage_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Oct 25 2023 Kisuke-CZE <kisuke@kisuke.cz> - 0.5.13-1
- Initial package
